/*********************************************************************
 *  SPDX-License-Identifier: MIT									 *
 *  Copyright (C) 2009-2024 by Helge Kortendieck  alan@kasmithee.de  *
 *                                                                   *
 *  This file is part of siimvi.                                     *
 *********************************************************************/
#ifndef _QUESTION_H_
#define _QUESTION_H_

#include <QDialog>
//#include <QFont>
#include <QWidget>

#include "ui_question.h"


class quest : public QDialog
{
    Q_OBJECT

public:
//  aboutHelp(QDialog* parent = 0, Qt::WindowFlags fl = 0 );
  quest(QDialog* parent = 0 );
    ~quest();

    /*$PUBLIC_FUNCTIONS$*/


public slots:
    /*$PUBLIC_SLOTS$*/

protected:
    /*$PROTECTED_FUNCTIONS$*/

protected slots:
    /*$PROTECTED_SLOTS$*/



private:
  bool bD;

  int iQuest;               // dialog type: 1=About (html), 2=Help (html), 3=Error (txt)
  int iHeight;              // dialog height
  int iWidth;               // dialog width

  Ui::Quest uiq;            // question widget

  QDialog wQuest;           // question widget

  QString sD;               // dialog title
  QString sText;            // about/help/error text
  QString sTitle;           // dialog title
  QString sImCur;           // image failed to load

private slots:
  void clickedNo();         // no clicked
  void clickedYes();        // yes clicked
  void showQuest( int iD, const QString& sD ); // show question dialog
  void dlgShow();           // show dialog
  void dlgClose();          // close dialog
  void setQuest();          // set question

  signals:
    void sigQuestHidden(bool bD);

};

#endif
